%
% This function performs the matrix vector multiplication
%
%   (I-G*G#)*x
%
% required by diagestrand() for use in computing the GCV function.  
%
%
function y=IGGmult(x);
global G;
global L;
global alpha;
%
% Some size parameters.
%
[p,q]=size(G);
[r,s]=size(L);
%
% First, multiply G#*x by solving the least squares problem with LSQR.
% Note that since we don't require a very high accuracy solution here.
%
xpad=[x; zeros(r,1)];
y=lsqr(@Gregmult,xpad,1.0e-4,1500);
%
% Now, multiply G*G#*x.
%
y=G*y;
%
% Finally, let y=x-y to get y=(I-G*G#)*x;
%
y=x-y;
