function errorPlots(diagRtrue,diagRest,stdR)
% errorPlots
% Script to produce diagRm comparison plots and histograms,
% following Figures 4 and 5 from MacCarthy, Borchers, and Aster (2011)
%
% diagRest: vector of estimated Rm diagonal values
% diagRtrue: corresponding vector of 'true' Rm diagonal values
% stdR: corresponding vector of sample standard deviations for diagRest
% estimates
%
% J. MacCarthy, 9/2011
%

figure
clf
errorbar(diagRtrue(:),diagRest(:),stdR(:),'k.');
ylabel('Stochastic Estimate of R_m Diagonal')
xlabel('Deterministic Estimate of R_m Diagonal')
hold on
plot([0.5 1],[0.5 1],'--r','linewidth',2);
hold off
axis([0.5 1 0.5 1]);
axis square

figure
clf
hist(diagRest(:)-diagRtrue(:))
ylabel('Count')
xlabel('Stochastic - Deterministic R_m Diagonal')
axis square