function makeCurves(alphas,normgmd,normlm,y)
% plotCurves.m
% Script to produce l-curve and GCV curve, following Figure 2 from 
% MacCarthy, Borchers, and Aster (2011)
%
% alphas: vector of regularization parameters
% normgmd: corresponding vector of Euclidean data residual norms, ||Gm-d||
% normlm: corresponding vector of Euclidean model (semi) norms, ||Lm||
% y: corresponding vector of generalized cross validation function values
%
% J. MacCarthy, 9/2011
%
% label every other regularization parameter
i=1:2:length(alphas);

figure,clf
plot(normgmd,normlm,'k.-')
hold on
text(normgmd(i),normlm(i),num2str(alphas(i)))
xlabel('||Gm-d||'),ylabel('||Lm||')

figure,clf
semilogx(alphas,y,'k.-')
xlabel('\alpha'),ylabel('GCV(\alpha)')
text(alphas(i),y(i),num2str(alphas(i)))
